Bug 475486 - nautilus depends on a lot of stuff via gvfs
nautilus depends on a lot of stuff via gvfs
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-09 08:36 EST by Dan Horák
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-16 02:42:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
split nautilus into nautilis-core + nautilus (4.42 KB, patch)
2008-12-09 08:36 EST, Dan Horák
no flags Details | Diff

  None (edit)
Description Dan Horák 2008-12-09 08:36:07 EST
Created attachment 326310 [details]
split nautilus into nautilis-core + nautilus

I was trying to remove samba-winbind (plus the rest of samba, because I
don't need it and samba represents MBs of updates and tens of MB of used
space) from my F-10 machine and found out that it will remove nautilus

 samba-winbind                      i386         3.2.5-0.23.fc10            installed         7.9 M
Removing for dependencies:
 gnome-vfs2-smb                     i386         2.24.0-3.fc10              installed          28 k
 gvfs-smb                           i386         1.0.2-3.fc10               installed         255 k
 hal-cups-utils                     i386         0.6.17-4.fc10              installed         100 k
 libsmbclient                       i386         3.2.5-0.23.fc10            installed         3.8 M
 nautilus                           i386         2.24.1-3.fc10              installed          13 M
 samba-client                       i386         3.2.5-0.23.fc10            installed          27 M
 samba-common                       i386         3.2.5-0.23.fc10            installed          29 M
 system-config-printer              i386         1.0.9-1.fc10               installed         1.6 M
 system-config-printer-libs         i386         1.0.9-1.fc10               installed         2.8 M

The problem is that nautilus has hard dependencies on many (all?) gvfs
modules. Trying to remove libgphoto2 has similar effects.

So my proposal is to split nautilus into nautilus-core, that will
contains the content of the current nautilus package, and nautilus
"meta" package that will contains all the dependencies plus dependency
on nautilus-core. This solution will install all the deps as today, but
leave the option to remove the unnecessary packages afterwards.

Only 3 packages will be affected with this split
and they should be made to depend on nautilus-core instead of nautilus.
Comment 1 Dan Horák 2008-12-09 08:37:16 EST
the patch is against nautilus-2.25.1-5.fc11
Comment 2 Dan Horák 2008-12-16 02:42:28 EST
dependency on gvfs backend moved into comps, for details see the discussion starting at https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00759.html

Note You need to log in before you can comment on or make changes to this bug.